## Reporting issues

**Issues in MyBB should only be reported in the forums.** Please report issues in the 1.8 series in the [1.8 Bugs and Issues](http://community.mybb.com/forum-157.html) forum. Note that issue reports for the 1.6 series are no longer accepted.

However you should check these forums and the issue tracker on GitHub to make sure the issue hasn't already been reported. These issues will be pushed to GitHub when a member of the MyBB Team is able to reproduce (confirm) that the issue exists. GitHub is not the place to report new issues. Only confirmed issues should be present on GitHub.

## Suggesting features

The 1.6 series is feature locked; therefore, no new features will be added. However you may still make feature suggestions for 1.8 in the [1.8 Suggestions and Feedback](http://community.mybb.com/forum-158.html) forum. Please also make sure that your feature hasn't already been suggested.

## Sending Pull Requests

Before doing any coding and certainly before sending a Pull Request you must make sure that another developer hasn't already assigned the issue to themselves or sent a fix. There is no point in two people spending time on the same issue.

Pull Requests should only be sent for confirmed issues. Only one issue should be fixed per Pull Request. This allows us to merge fixes successfully - if you send a fix for two issues and one doesn't work we are unable to merge the Pull Request, leaving you with more work.

If your Pull Request is for a new feature, that feature must be already confirmed to be added in the respective suggestions forum. You may only include one feature per Pull Request for the same reasons stated above.

All changes made in Pull Requests must follow the [Development Standards](http://docs.mybb.com/1.8/development/standards/).
If you need any help with sending your code contributions the [GitHub Help site](https://help.github.com) is a good place to start.
